Bug 3089 - uqm fails to start due SIGILL
: uqm fails to start due SIGILL
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/uqm)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-10-01 22:00 by
Modified: 2007-04-06 16:43 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-10-01 22:00:24
[akhavr@netmaster tmp]$ rm -r ~/.uqm/
[akhavr@netmaster tmp]$ strace -o /tmp/uqm.strace uqm
[...]
	'lbm/blamed.ani' -- 176 bytes
	'lbm/blasml.ani' -- 176 bytes
	'lbm/boobig.ani' -- 198 bytes
	'lbm/boomed.ani' -- 198 bytes
	'lbm/boosml.ani' -- 198 bytes

[akhavr@netmaster tmp]$ rpm -qa | grep uqm
uqm-music-0.3-alt1
uqm-game-0.3-alt1
uqm-0.3-alt1
[akhavr@netmaster tmp]$ tail /tmp/uqm.strace 
select(4, [3], NULL, NULL, {0, 0})      = 0 (Timeout)
write(4, "\220\3\n\0\f\0\240\3\r\0\240\3\200\2\340\1\0\0\0\0\200"..., 44) = 44
read(4, "\1\1\f\0\0\0\0\0\2\0\240\3\0\0\0\0\0\0\0\0\1\0\0\0\320"..., 32) = 32
select(4, [3], NULL, NULL, {0, 0})      = 0 (Timeout)
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout)
select(4, [3], NULL, NULL, {0, 0})      = 0 (Timeout)
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout)
select(4, [3], NULL, NULL, {0, 0})      = 0 (Timeout)
--- SIGILL (Illegal instruction) @ 0 (0) ---
+++ killed by SIGILL +++
------- Comment #1 From 2003-10-28 21:02:08 -------
Подтверждаю. У меня на ноуте вылетает... А на десктопе - всё ОК 
------- Comment #2 From 2004-04-21 22:00:32 -------
rider@altlinux.org 
------- Comment #3 From 2004-04-22 00:09:14 -------
Дык вроде уже давным-давно пофиксили... 
------- Comment #4 From 2004-04-22 11:58:22 -------
Не понял, при чем тут этот пакет и я ?
Zerg ?
------- Comment #5 From 2004-05-14 19:12:57 -------
fixed, хотя пакет и не мой.